{ pkgs, stdenv, fetchFromGitHub }:

let
	python = pkgs.python3.withPackages (pkgs: with pkgs; [ pyqt5 pyqtwebengine pyusb crcmod pyserial ]);
in stdenv.mkDerivation rec {
	pname = "ddt4all";
  	version = "1.0.0";

  	src = fetchFromGitHub {
    	owner = "cedricp";
    	repo = "ddt4all";
    	rev = "master";
    	sha256 = "sha256-1D1fnnFWxBV6sZkfbBc7a/7DSZvZtXeEYM9fRsQ7Ag0=";
  	};

  	nativeBuildInputs = [
		python
    	pkgs.libsForQt5.qt5.wrapQtAppsHook
    	pkgs.libsForQt5.qt5.qttools
    	pkgs.which
  	];

  	propagatedBuildInputs = [
    	python
    	pkgs.libsForQt5.qt5.qtbase
    	pkgs.libsForQt5.qt5.qttools
  	];

	configurePhase = ''
    	runHook preConfigure
    	wrapQtAppsHook
    	runHook postConfigure
  	'';

  	buildPhase = "";

  	installPhase = ''
    	mkdir -p $out/bin
    	cp -r * $out/
    	ln -s $out/main.py $out/bin/ddt4all
  	'';
}
