{ pkgs, ... }: 

{
  	services.greetd-hyprland.enable = true;
	services.apple-style.enable = true;
  	services.bluetooth.enable = true;
	services.nvidia.enable = true;
  	services.fingerprint-fix = {
		enable = true;
		calibDataFile = ./calib-data.bin;
	};

	services.nordvpn.enable = true;
  	services.upower.enable = true;
  	services.udev.enable = true;
  	services.udev.packages = [ pkgs.hyprland ];

  	services.printing = {
    	enable = true;
    	drivers = with pkgs; [ hplipWithPlugin ];
  	};

	services.gvfs.enable = true;
	services.geoclue2 = {
    	enableWifi = true;
    	geoProviderUrl = "https://api.beacondb.net/v1/geolocate";
	};

	services.dbus.enable = true;
	services.pipewire = {
    	enable = true;
    	alsa.enable = true;
    	alsa.support32Bit = true;
    	pulse.enable = true;
    	jack.enable = true;
	};
}
