{ pkgs, inputs, ... }:

{
	imports = [
		inputs.ags.homeManagerModules.default
	];
	
	home.packages = with pkgs; [
      	hyprland hyprlock hypridle hyprshot wl-clipboard cliphist swww
		pywal pywalfox-native

		(python3.withPackages (py: with py; [
			pywayland
		]))

		inputs.nordvpn.packages.${system}.nordvpn
		(pkgs.callPackage ../../derivations/ddt4all.nix {})

		(birdtray.overrideAttrs (_: {
  			cmakeFlags = [ "-DOPT_THUNDERBIRD_CMDLINE=${thunderbird}/bin/thunderbird" ];
		}))

		jq
		bluez
		dconf
      	starship
		element-desktop
		firefox-beta-bin
		thunderbird-bin
		youtube-music
		libreoffice-qt6-fresh
		gimp
		vscodium git nodejs postgresql
		fprintd
		cups
		fish
		anydesk
		fastfetch
		greetd.greetd greetd.tuigreet
		playerctl
		adwaita-icon-theme
		android-tools
		filezilla
		bitwarden-desktop
		davinci-resolve
		mpv
		wget
		sshfs
    ];
}

