{ inputs, pkgs, ... }: 

{
  	imports = [ ./fish ];
	
	programs.pywal.enable = true;
	programs.ags = {
    	enable = true;
    	extraPackages = with inputs.ags.packages.${pkgs.system}; [
      		apps battery bluetooth greet hyprland mpris network notifd powerprofiles tray wireplumber
    	] ++ [
      		pkgs.dart-sass pkgs.fzf pkgs.icon-library
    	];
  	};

	programs.obs-studio = {
		enable = true;
		plugins = with pkgs.obs-studio-plugins; [
			obs-source-clone
      		obs-pipewire-audio-capture
			#advanced-scene-switcher
			obs-tuna
			obs-move-transition
			droidcam-obs
			waveform
			wlrobs
		];
	};

	services.darkman = {
    	enable = true;
    	darkModeScripts = {
        	theme = ''
				${pkgs.dconf}/bin/dconf write\
          		/org/gnome/desktop/interface/color-scheme "'prefer-dark'"
        	'';

			wallpaper = ''
				$HOME/.config/hypr/scripts/random-wallpaper.sh
			'';

			pywalfox = "command -v pywalfox &>/dev/null && pywalfox dark && pywalfox update";
      	};

      	lightModeScripts = {
        	theme = ''
          		${pkgs.dconf}/bin/dconf write\
          		/org/gnome/desktop/interface/color-scheme "'prefer-light'"
        	'';

			wallpaper = ''
				$HOME/.config/hypr/scripts/random-wallpaper.sh
			'';

			pywalfox = "command -v pywalfox &>/dev/null && pywalfox light && pywalfox update";
      	};

      	settings.usegeoclue = true;
    };
}
